tag @e[type=cpu:cpu,name=foo] add "/removeall;; say All the Storage Slots of the 'foo' CPU have been cleared."

tag @e[type=cpu:cpu,name=foo] add "/store a00 /reset;; //tog = true; diam = 15"
tag @e[type=cpu:cpu,name=foo] add "/store b00 //mat = tog ? 'emerald_block' : 'air';; /say Material: '@=mat';; /say Diameter: @=diam blocks"

tag @e[type=cpu:cpu,name=foo] add "/store c01 //rad = diam / 2; vol = diam ^ 3; c0 = [rad, rad, rad]; offset = [-rad, 2, -rad]"
tag @e[type=cpu:cpu,name=foo] add "/store c02 //axis(a, i) = floor(mod(i, diam ^ a) / diam ^ (a - 1)) + .5"
tag @e[type=cpu:cpu,name=foo] add "/store c03 //coords(i) = [axis(3, i), axis(2, i), axis(1, i)]"
tag @e[type=cpu:cpu,name=foo] add "/store c04 //relpos(i) = concat('~', string(axis(3, i)), '~', string(axis(2, i)),'~', string(axis(1, i)))"
tag @e[type=cpu:cpu,name=foo] add "/store c05 //dist(i) = (round(distance(c0, coords(i))) == floor(rad)) ? relpos(i) : 0"
tag @e[type=cpu:cpu,name=foo] add "/store c06 //place(loc) = setblock(pos(loc) + offset, mat, 0)"
tag @e[type=cpu:cpu,name=foo] add "/store c07 //allpos = map(range(0, vol - 1), dist)"
tag @e[type=cpu:cpu,name=foo] add "/store c08 //map(allpos, place); allpos = 0"

tag @e[type=cpu:cpu,name=foo] add "/store d00 //diam = diam <= 1 ? 1 : diam - 1;; /exec b00"
tag @e[type=cpu:cpu,name=foo] add "/store d01 //diam = diam >= 32 ? 32 : diam + 1;; /exec b00"
tag @e[type=cpu:cpu,name=foo] add "/store e00 //tog = not(tog);; /exec b00"
tag @e[type=cpu:cpu,name=foo] add "/store p00 /exec c01 c02 c03 c04 c05 c06 c07 c08"
tag @e[type=cpu:cpu,name=foo] add "/store _def /exec p00"

tag @e[type=cpu:cpu,name=foo] add "/exec a00 b00"

tag @e[type=cpu:cpu,name=foo] add "/say The Sphere program has been loaded to the 'foo' CPU."