const title = document.getElementById("title");
const content = document.getElementById("content");

let scriptInterface = null;
engine.on("facet:updated:core.scripting", function (interface) {
	scriptInterface = interface;
});
engine.trigger("facet:request", ["core.scripting"]);
scriptInterface.triggerEvent("cpu:dialogLoaded_fromUI");

document.body.addEventListener('keydown', e => {
	if (e.keyCode == 27 || e.keyCode == 13) closeDialog();
});

engine.on("cpu:fillDialog_toUI", function (eventData) {
	let data = JSON.parse(eventData);
	title.textContent = data.title;
	content.textContent = data.content;
});

closeDialog = function () {
	scriptInterface.triggerEvent("cpu:closeDialog_fromUI");
};